package cpcns.ldanganzhengli.lquanzongzhinan.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.ldanganzhengli.ldanganhe.model.LDDangAnHe;
import cpcns.ldanganzhengli.ldanganhe.service.ILDDangAnHeService;
import cpcns.ldanganzhengli.lquanzongzhinan.model.LDQuanZongJuanFuJian;
import cpcns.ldanganzhengli.lquanzongzhinan.model.LDQuanZongJuanXinXi;
import cpcns.ldanganzhengli.lquanzongzhinan.service.LDIQuanZongJuanFuJianService;
import cpcns.ldanganzhengli.lquanzongzhinan.service.LDIQuanZongZhiNanService;
import cpcns.utils.CommStatic;
import cpcns.utils.Json;
import cpcns.utils.PagerVO;
import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/LDquanZongZhiNan"})
public class LDQuanZongZhiNanConrtoller extends commonController {
  @Autowired
  private LDIQuanZongZhiNanService LDquanZongZhiNanService;
  
  @Autowired
  private LDIQuanZongJuanFuJianService LDquanZongJuanFuJianService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ILDDangAnHeService LDDangAnHeService;
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        jsonObject.put(thisName, thisValue);
      } 
      User user = getCurrentUser();
      Map<String, String> qx = user.getQuanXianMap();
      StringBuffer sqlWhere = new StringBuffer("1=1 ");
      Boolean isqx = Boolean.valueOf(true);
      Iterator<String> iterator = jsonObject.keys();
      Map<String, String> tjmap = new HashMap<>();
      String guiDangNianDu = request.getParameter("guiDangNianDu");
      String quanZongHao = request.getParameter("quanZongHao");
      tjmap.put("guiDangNianDu", guiDangNianDu);
      tjmap.put("quanZongHao", quanZongHao);
      sqlWhere.append(CommStatic.IsQuanXian(user, AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"), tjmap));
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("guiDangNianDu") && !key.equals("quanZongHao")) {
          if (key.endsWith("begin")) {
            key = key.substring(0, key.indexOf("begin"));
            sqlWhere.append(" and ").append(String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (key.endsWith("end")) {
            key = key.substring(0, key.indexOf("end"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (!"server".equals(key) && !"table".equals(key)) {
            if (key.endsWith("like")) {
              key = key.substring(0, key.indexOf("like"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
              continue;
            } 
            if (key.equals("guanLianBiaoShi") && value.equals("2")) {
              sqlWhere.append(" and guanLianBiaoShi = 0");
              continue;
            } 
            if (key.equals("guanLianBiaoShi") && value.equals("1")) {
              sqlWhere.append(" and guanLianBiaoShi >0");
              continue;
            } 
            if (key.equals("zhuangTai") && value.equals("2")) {
              sqlWhere.append(" and zhuangTai in(").append("0,2 )");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
          } 
        } 
      } 
      sqlWhere.append(" and zhuangTai not in (3,4)");
      sqlWhere.append(" and baoGuanQiXian !='D10'");
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      StringBuffer sql = new StringBuffer("select * from  D_QUANZONGJUANXINXI  where ");
      int start = (intPage - 1) * number;
      PagerVO pagevo = this.LDquanZongZhiNanService.getAll(start, number, sql.toString(), sqlWhere.toString(), CommStatic.getOrderBy(request, "hangbiaoshi"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("DANGHAO", "dangHao")
        .replaceAll("MIJI", "miJi").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi")
        .replaceAll("BIANXIERENMINGCHENG", "bianXieRenMingCheng").replaceAll("BIANXIERIQI", "bianXieRiQi").replaceAll("GUIDANGNIANDU", "guiDangNianDu")
        .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FENSHU", "fenShu").replaceAll("YESHU", "yeShu").replaceAll("ZHUANGTAI", "zhuangTai")
        .replaceAll("yanGeZhuangTai", "yanGeZhuangTai").replaceAll("LISHUZUZHIMINGCHENG", "liShuZuZhiMingCheng").replaceAll("DAORUPICI", "daoRuPiCi")
        .replaceAll("SHIJIANLEIXING", "shiJianLeiXing").replaceAll("liShuZuZhiBiaoShi", "liShuZuZhiBiaoShi");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/toAdd.do"})
  public String addwenjian(HttpServletRequest request, HttpServletResponse respone, Model model) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      LDQuanZongJuanXinXi DQuanZongJuanXinXi = new LDQuanZongJuanXinXi();
      LDQuanZongJuanFuJian DQuanZongJuanFuJian = new LDQuanZongJuanFuJian();
      DQuanZongJuanXinXi = (LDQuanZongJuanXinXi)this.LDquanZongZhiNanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      Map<String, Object> map = new HashMap<>();
      map.put("guanLianBiaoShi", DQuanZongJuanXinXi.getHangBiaoShi());
      map.put("fuJianLeiXing", Integer.valueOf(2));
      List<LDQuanZongJuanFuJian> list = this.LDquanZongJuanFuJianService.getListHQL("LDQuanZongJuanFuJian", map);
      getRequest().setAttribute("list", list);
      int glbs = DQuanZongJuanXinXi.getGuanLianBiaoShi().intValue();
      if (glbs > 0) {
        LDDangAnHe dah = (LDDangAnHe)this.LDDangAnHeService.getById(Integer.valueOf(glbs));
        getRequest().setAttribute("rongQiDangHao", dah.getDangHao());
      } 
      getRequest().setAttribute("DQuanZongJuanXinXi", DQuanZongJuanXinXi);
      getRequest().setAttribute("DQuanZongJuanFuJian", DQuanZongJuanFuJian);
    } 
    return "ldanganzhengli/lquanzongzhinan/LDCKQuanZongZhiNan_edit";
  }
  
  @RequestMapping({"/openDat.do"})
  @ResponseBody
  public String returnJos(HttpServletRequest request, HttpServletResponse response, Model model) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    Map<String, Object> resultMap = new HashMap<>();
    resultMap.put("filePath", "");
    String jsonString = "";
    if (StringUtils.isNotBlank(hangBiaoShi)) {
      LDQuanZongJuanXinXi cla = (LDQuanZongJuanXinXi)this.LDquanZongZhiNanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      resultMap.put("filePath", cla);
    } 
    jsonString = Json.Map2Json(resultMap);
    return jsonString;
  }
}
